Summary:      The Whetstone CPU Double-Precision Floating-Point Arithmetic Benchmark
Name:         whetstone
Version:      1.2
Release:      1
URL:          http://www.whetstone.org/
Source0:      http://www.netlib.org/benchmark/whetstone.c
Patch0:       whetstone.patch
License:      Open Source
Group:        Benchmark
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: patch

%description
Whetstone was the first major synthetic benchmark program, intended
to be representative for numerical (floating-point intensive)
programming. It is based on statistics gathered by Brian Wichmann
at the National Physical Laboratory in England, using an Algol 60
compiler which translated Algol into instructions for the imaginary
Whetstone machine. The compilation system was named after the small
town of Whetstone outside the City of Leicester, England, where it
was designed. The benchmark gives a MIPS rating.


%prep
%setup -q -c -T
cp %{SOURCE0} .
%patch -p0


%build
export OBJECT_MODE=64
cc ${CFLAGS} -o %{name} %{name}.c -lm


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}
( echo "#!/bin/sh"
echo "iterations=\${1-80000}"
echo "%{_bindir}/whetstone-bm \$iterations | /usr/bin/tee whetstone.out"
) > whetstone.sh

cp whetstone.sh ${RPM_BUILD_ROOT}%{_bindir}/whetstone
cp whetstone ${RPM_BUILD_ROOT}%{_bindir}/whetstone-bm
/usr/bin/strip -X32_64 ${RPM_BUILD_ROOT}%{_bindir}/whetstone-bm
chmod 755 ${RPM_BUILD_ROOT}%{_bindir}/*

mkdir -p ${RPM_BUILD_ROOT}/usr/bin
cd ${RPM_BUILD_ROOT}/usr/bin
ln -s ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%{_bindir}/*
/usr/bin/*


%changelog
* Wed Apr 20 2016 Michael Perzl <michael@perzl.org> - 1.2-1
- first version for AIX V5.1 and higher
